Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Interface IMRTMPConnection

All Known Implementing Classes:
  BaseMRTMPConnection, MRTMPEdgeConnection, MRTMPOriginConnection

    public interface IMRTMPConnection

Author:
  Steven Gong (steven.gong@gmail.com)

Method Summary
`void` | `close()`
`void` | `connect(int clientId)` Send connect message to other side
`void` | `disconnect(int clientId)` Send disconnect message to other side
`void` | `write(int clientId, Packet packet)` Send RTMP packet to other side

Method Detail

### write

    void write(int clientId,
               Packet packet)

  Send RTMP packet to other side

  Parameters:
    `clientId` -
    `packet` -

### connect

    void connect(int clientId)

  Send connect message to other side

  Parameters:
    `clientId` -

### disconnect

    void disconnect(int clientId)

  Send disconnect message to other side

  Parameters:
    `clientId` -

### close

    void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project